//recursive algorithm

void PrintDigit(int n)
//PrintDigit()函数实现将单个数字(0-9)输出
{
    if (n < 0 || n > 9)
    {
        cout << "只输出单个数字(0-9)!" << endl;
        exit(0);
    }
    cout << n << " ";
}

void PrintOut(unsigned int n)
// PrintOut()将正整数n输出，要求用递归函数实现
{
    //在此插入你完成第一个任务的代码。要求：（1）调用PrintDigit(int n)函数逐位输出；（2）PrintOut(unsigned int n )函数是递归函数
    if (n >= 10) PrintOut(n / 10);
    PrintDigit(n % 10);
}
